Bug 590900 - Unable to connect wireless on the laptop
Unable to connect wireless on the laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 18:04 EDT by Paul F. Johnson
Modified: 2012-05-08 09:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 09:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifcfg file for wlan0 (320 bytes, application/octet-stream)
2010-05-10 18:04 EDT, Paul F. Johnson
no flags Details
Report from var-log-messages (9.48 KB, text/plain)
2010-05-10 18:05 EDT, Paul F. Johnson
no flags Details
NM feedback after setting SSID and password (3.78 KB, text/plain)
2010-05-13 04:22 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2010-05-10 18:04:41 EDT
Created attachment 412982 [details]
ifcfg file for wlan0

Description of problem:
Under the current version of NM, I am unable to connect my laptop to any wireless network

Version-Release number of selected component (if applicable):
NetworkManager-0.8.0-12.git20100504.fc14.i686

How reproducible:
Always

Steps to Reproduce:
1. Hard to reproduce as I can't connect!
2.
3.
  
Actual results:
No wireless network, wired is fine

Expected results:
Both should work

Additional info:
Comment 1 Paul F. Johnson 2010-05-10 18:05:44 EDT
Created attachment 412983 [details]
Report from var-log-messages
Comment 2 Dan Williams 2010-05-10 18:32:02 EDT
Hmm, that file has no ESSID set in it, so there's way that we can figure out what network to connect to:

ESSID=

If you set that to the SSID of your wifi network, does that make things work?
Comment 3 Paul F. Johnson 2010-05-12 16:42:52 EDT
If I set the ESSID by editing the file (or via s-c-network) then restart, all I get is that the device is not managed by NM (despite not having touched the NM bits of the config file)
Comment 4 Paul F. Johnson 2010-05-13 04:22:06 EDT
Created attachment 413679 [details]
NM feedback after setting SSID and password

I tried to set the username and password for the network using s-c-network then did a complete reset. The attachment shows what I saw when I did the reboot.

Still no connection.

BTW : There used to be a NM applet so that I could configure NM (something like modem lights on the menu bar). What happened to it?
Comment 5 Dan Williams 2010-05-14 13:05:03 EDT
(In reply to comment #4)
> Created an attachment (id=413679) [details]
> NM feedback after setting SSID and password

May 13 08:59:48 PB2 NetworkManager[1827]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
May 13 08:59:48 PB2 NetworkManager[1827]:    ifcfg-rh:     error: Invalid WEP key length.

This indicates that the WEP key is wrong.  Do you happen to have any file called /etc/sysconfig/network-scripts/keys-wlan0 ?

> I tried to set the username and password for the network using s-c-network then
> did a complete reset. The attachment shows what I saw when I did the reboot.

Yeah, there could be bug in the ifcfg reader plugin for NM, but we've got testcases to cover the unencrypted connection case.  It could be that s-c-n is writing out something we dont' expect, and if so we should fix that.  Can you attach anything matching /etc/sysconfig/network-scripts/*-wlan0 for me?  Need to see what s-c-n wrote out this time.

> Still no connection.

This is due to the complaint about the WEP key length being wrong.

> BTW : There used to be a NM applet so that I could configure NM (something like
> modem lights on the menu bar). What happened to it?    

The applet lives in the "notification area" in the panel, so if you have the battery icon, the volume applet, etc then you should also have nm-applet.  You can see if it's running by 'ps ax | grep nm-applet' and if it's running but you dont' see it, and you have a volume applet on the panel, then there's a bug.  If you don't have a notification area on the panel (where all this stuff lives) then you can add one by right-clicking on the panel and choosing "Add to panel..." and adding a notification area applet.
Comment 6 Bug Zapper 2010-07-30 07:35:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Dan Winship 2012-05-08 09:12:07 EDT
closing after 2 years of NEEDINFO... reopen (and provide the requested info) if this is still a problem

Note You need to log in before you can comment on or make changes to this bug.